* =============================================================================================
*  Replication program for Table 3:
*  Julien Grenet, YingHua He, and Dorothea Kübler
*  "Preference Discovery in University Admissions: The Case for Dynamic Multioffer Mechanisms"
*  The Journal of Political Economy
*  28 November 2021
* =============================================================================================

* ------------------------------------------------------------------------------- *
* Table 3 – Early Offer and Acceptance among Feasible Programs: Conditional Logit *
* ------------------------------------------------------------------------------- *

if "${path}" == "" {
	display "{red: ERROR: Specify path to folder containing replication files in current_directory.do and execute script}"
}

global data "${path}\data"
global output "${path}\output"

do "${path}\figures_tables\do\macros.do"

use "${data}\main_data.dta", clear

* Sample: students with at least two feasible choices who accepted an offer
keep if estimation_sample == 1 & feasible == 1
* Convert distance to multiple of 1000 km
replace distance = distance / 1000
gen distance2 = distance^2
* Proxy for chances of not receiving an offer in Phase2 
gen chances_phase2 = 0
replace chances_phase2 = ratio_cutoff1 if early_feasible == 0

* Estimate conditional logit
baseline_clogit, table_no(3) print_mfx(1) disteqU(1) ///
title("Table 3 - Early Offer and Acceptance among Feasible Programs: Conditional Logit")



